# Copyright (c) 2020, XhiveFramework Technologies and contributors
# License: MIT. See LICENSE

from xhiveframework.model.document import Document


class ModuleProfile(Document):
	def onload(self):
		from xhiveframework.config import get_modules_from_all_apps

		self.set_onload("all_modules", [m.get("module_name") for m in get_modules_from_all_apps()])
